Package org.opensaml.xmlsec.algorithm.descriptors

# Class SignatureECDSASHA512

java.lang.Object
org.opensaml.xmlsec.algorithm.descriptors.SignatureECDSASHA512

All Implemented Interfaces:
  `AlgorithmDescriptor`, `KeySpecifiedAlgorithm`, `SignatureAlgorithm`

public final class SignatureECDSASHA512 extends Object implements SignatureAlgorithm
Algorithm descriptor for signature algorithm: ECDSA SHA-512.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Constructor Summary

Constructors
Constructor
Description
`SignatureECDSASHA512()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigest()`
Get the JCA digest algorithm specified by this algorithm.
`String`
`getJCAAlgorithmID()`
Get the algorithm's JCA algorithm ID.
`String`
`getKey()`
Get the JCA key type specified by this algorithm.
`AlgorithmDescriptor.AlgorithmType`
`getType()`
Get the algorithm URI's fundamental type.
`String`
`getURI()`
Get the algorithm's identifying URI.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SignatureECDSASHA512

public SignatureECDSASHA512()

## Method Details

### getKey

@Nonnull public String getKey()
Get the JCA key type specified by this algorithm.

Specified by:
  `getKey` in interface `KeySpecifiedAlgorithm`
Returns:
  the key type

### getURI

@Nonnull public String getURI()
Get the algorithm's identifying URI.

Specified by:
  `getURI` in interface `AlgorithmDescriptor`
Returns:
  the algorithm URI

### getType

@Nonnull public AlgorithmDescriptor.AlgorithmType getType()
Get the algorithm URI's fundamental type.

Specified by:
  `getType` in interface `AlgorithmDescriptor`
Returns:
  a type specified with `AlgorithmDescriptor.AlgorithmType`

### getJCAAlgorithmID

@Nonnull public String getJCAAlgorithmID()
Get the algorithm's JCA algorithm ID.

Specified by:
  `getJCAAlgorithmID` in interface `AlgorithmDescriptor`
Returns:
  the JCA algorithm ID

### getDigest

@Nonnull public String getDigest()
Get the JCA digest algorithm specified by this algorithm.

Specified by:
  `getDigest` in interface `SignatureAlgorithm`
Returns:
  the digest algorithm